test_models_sync fails with 'Models and migration scripts aren't in sync'

Bug #1526675 reported by Sreekumar S on 2015-12-16
32
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Glance
Critical
Flavio Percoco
Kilo
Critical
Flavio Percoco
Liberty
Critical
Flavio Percoco
OpenStack Compute (nova)
Critical
Mike Bayer
Declined for Kilo by Matt Riedemann
Liberty
High
Sean Dague
neutron
Critical
Ann Taraday
oslo.db
Critical
Ann Taraday

Bug Description

2015-12-16 08:06:12.907 | 2015-12-16 08:06:12.889 | neutron.tests.functional.db.test_migrations.TestModelsMigrationsMysql.test_models_sync
2015-12-16 08:06:12.907 | 2015-12-16 08:06:12.891 | --------------------------------------------------------------------------------------
2015-12-16 08:06:12.908 | 2015-12-16 08:06:12.892 |
2015-12-16 08:06:12.908 | 2015-12-16 08:06:12.894 | Captured traceback:
2015-12-16 08:06:12.908 | 2015-12-16 08:06:12.896 | ~~~~~~~~~~~~~~~~~~~
2015-12-16 08:06:12.909 | 2015-12-16 08:06:12.897 | Traceback (most recent call last):
2015-12-16 08:06:12.916 | 2015-12-16 08:06:12.899 | File "/opt/stack/new/neutron/.tox/dsvm-functional/local/lib/python2.7/site-packages/oslo_db/sqlalchemy/test_migrations.py", line 603, in test_models_sync
2015-12-16 08:06:12.916 | 2015-12-16 08:06:12.900 | "Models and migration scripts aren't in sync:\n%s" % msg)
2015-12-16 08:06:12.916 | 2015-12-16 08:06:12.901 | File "/opt/stack/new/neutron/.tox/dsvm-functional/local/lib/python2.7/site-packages/unittest2/case.py", line 690, in fail
2015-12-16 08:06:12.916 | 2015-12-16 08:06:12.903 | raise self.failureException(msg)
2015-12-16 08:06:12.916 | 2015-12-16 08:06:12.904 | AssertionError: Models and migration scripts aren't in sync:
2015-12-16 08:06:12.917 | 2015-12-16 08:06:12.905 | [ [ ( 'modify_type',
2015-12-16 08:06:12.918 | 2015-12-16 08:06:12.907 | None,
2015-12-16 08:06:12.920 | 2015-12-16 08:06:12.908 | 'floatingips',
2015-12-16 08:06:12.921 | 2015-12-16 08:06:12.909 | 'standard_attr_id',
2015-12-16 08:06:12.930 | 2015-12-16 08:06:12.911 | { 'existing_nullable': False,
2015-12-16 08:06:12.931 | 2015-12-16 08:06:12.912 | 'existing_server_default': False},
2015-12-16 08:06:12.931 | 2015-12-16 08:06:12.913 | BIGINT(display_width=20),
2015-12-16 08:06:12.931 | 2015-12-16 08:06:12.915 | Variant())],
2015-12-16 08:06:12.931 | 2015-12-16 08:06:12.916 | [ ( 'modify_type',
2015-12-16 08:06:12.931 | 2015-12-16 08:06:12.918 | None,
2015-12-16 08:06:12.932 | 2015-12-16 08:06:12.919 | 'networks',
2015-12-16 08:06:12.933 | 2015-12-16 08:06:12.921 | 'standard_attr_id',
2015-12-16 08:06:12.934 | 2015-12-16 08:06:12.922 | { 'existing_nullable': False,
2015-12-16 08:06:12.935 | 2015-12-16 08:06:12.923 | 'existing_server_default': False},
2015-12-16 08:06:12.937 | 2015-12-16 08:06:12.925 | BIGINT(display_width=20),
2015-12-16 08:06:12.938 | 2015-12-16 08:06:12.926 | Variant())],
2015-12-16 08:06:12.940 | 2015-12-16 08:06:12.927 | [ ( 'modify_type',
2015-12-16 08:06:12.941 | 2015-12-16 08:06:12.929 | None,
2015-12-16 08:06:12.942 | 2015-12-16 08:06:12.930 | 'ports',
2015-12-16 08:06:12.944 | 2015-12-16 08:06:12.932 | 'standard_attr_id',
2015-12-16 08:06:12.945 | 2015-12-16 08:06:12.933 | { 'existing_nullable': False,
2015-12-16 08:06:12.946 | 2015-12-16 08:06:12.935 | 'existing_server_default': False},
2015-12-16 08:06:12.948 | 2015-12-16 08:06:12.936 | BIGINT(display_width=20),
2015-12-16 08:06:12.949 | 2015-12-16 08:06:12.938 | Variant())],
2015-12-16 08:06:12.951 | 2015-12-16 08:06:12.939 | [ ( 'modify_type',
2015-12-16 08:06:12.952 | 2015-12-16 08:06:12.941 | None,
2015-12-16 08:06:12.954 | 2015-12-16 08:06:12.942 | 'routers',
2015-12-16 08:06:12.955 | 2015-12-16 08:06:12.943 | 'standard_attr_id',
2015-12-16 08:06:12.957 | 2015-12-16 08:06:12.945 | { 'existing_nullable': False,
2015-12-16 08:06:12.958 | 2015-12-16 08:06:12.946 | 'existing_server_default': False},
2015-12-16 08:06:12.959 | 2015-12-16 08:06:12.947 | BIGINT(display_width=20),
2015-12-16 08:06:12.961 | 2015-12-16 08:06:12.949 | Variant())],
2015-12-16 08:06:12.962 | 2015-12-16 08:06:12.950 | [ ( 'modify_type',
2015-12-16 08:06:12.963 | 2015-12-16 08:06:12.952 | None,
2015-12-16 08:06:12.965 | 2015-12-16 08:06:12.953 | 'securitygrouprules',
2015-12-16 08:06:12.966 | 2015-12-16 08:06:12.954 | 'standard_attr_id',
2015-12-16 08:06:12.967 | 2015-12-16 08:06:12.956 | { 'existing_nullable': False,
2015-12-16 08:06:12.969 | 2015-12-16 08:06:12.957 | 'existing_server_default': False},
2015-12-16 08:06:12.970 | 2015-12-16 08:06:12.959 | BIGINT(display_width=20),
2015-12-16 08:06:12.972 | 2015-12-16 08:06:12.960 | Variant())],
2015-12-16 08:06:12.973 | 2015-12-16 08:06:12.961 | [ ( 'modify_type',
2015-12-16 08:06:12.975 | 2015-12-16 08:06:12.963 | None,
2015-12-16 08:06:12.976 | 2015-12-16 08:06:12.964 | 'securitygroups',
2015-12-16 08:06:12.977 | 2015-12-16 08:06:12.966 | 'standard_attr_id',
2015-12-16 08:06:12.979 | 2015-12-16 08:06:12.967 | { 'existing_nullable': False,
2015-12-16 08:06:12.980 | 2015-12-16 08:06:12.968 | 'existing_server_default': False},
2015-12-16 08:06:12.981 | 2015-12-16 08:06:12.970 | BIGINT(display_width=20),
2015-12-16 08:06:12.983 | 2015-12-16 08:06:12.971 | Variant())],
2015-12-16 08:06:12.984 | 2015-12-16 08:06:12.972 | [ ( 'modify_type',
2015-12-16 08:06:12.985 | 2015-12-16 08:06:12.974 | None,
2015-12-16 08:06:12.987 | 2015-12-16 08:06:12.975 | 'standardattributes',
2015-12-16 08:06:12.988 | 2015-12-16 08:06:12.976 | 'id',
2015-12-16 08:06:12.990 | 2015-12-16 08:06:12.978 | { 'existing_nullable': None,
2015-12-16 08:06:12.991 | 2015-12-16 08:06:12.980 | 'existing_server_default': False},
2015-12-16 08:06:12.993 | 2015-12-16 08:06:12.981 | BIGINT(display_width=20),
2015-12-16 08:06:12.994 | 2015-12-16 08:06:12.983 | Variant())],
2015-12-16 08:06:12.996 | 2015-12-16 08:06:12.984 | [ ( 'modify_type',
2015-12-16 08:06:12.997 | 2015-12-16 08:06:12.985 | None,
2015-12-16 08:06:12.998 | 2015-12-16 08:06:12.987 | 'subnetpools',
2015-12-16 08:06:13.000 | 2015-12-16 08:06:12.988 | 'standard_attr_id',
2015-12-16 08:06:13.001 | 2015-12-16 08:06:12.989 | { 'existing_nullable': False,
2015-12-16 08:06:13.003 | 2015-12-16 08:06:12.991 | 'existing_server_default': False},
2015-12-16 08:06:13.004 | 2015-12-16 08:06:12.992 | BIGINT(display_width=20),
2015-12-16 08:06:13.005 | 2015-12-16 08:06:12.994 | Variant())],
2015-12-16 08:06:13.007 | 2015-12-16 08:06:12.995 | [ ( 'modify_type',
2015-12-16 08:06:13.009 | 2015-12-16 08:06:12.997 | None,
2015-12-16 08:06:13.010 | 2015-12-16 08:06:12.999 | 'subnets',
2015-12-16 08:06:13.012 | 2015-12-16 08:06:13.000 | 'standard_attr_id',
2015-12-16 08:06:13.014 | 2015-12-16 08:06:13.002 | { 'existing_nullable': False,
2015-12-16 08:06:13.016 | 2015-12-16 08:06:13.004 | 'existing_server_default': False},
2015-12-16 08:06:13.018 | 2015-12-16 08:06:13.006 | BIGINT(display_width=20),
2015-12-16 08:06:13.019 | 2015-12-16 08:06:13.008 | Variant())]]
2015-12-16 08:06:13.021 | 2015-12-16 08:06:13.009 |
2015-12-16 08:06:13.023 | 2015-12-16 08:06:13.011 |
2015-12-16 08:06:13.025 | 2015-12-16 08:06:13.013 | Captured stderr:
2015-12-16 08:06:13.026 | 2015-12-16 08:06:13.014 | ~~~~~~~~~~~~~~~~
2015-12-16 08:06:13.028 | 2015-12-16 08:06:13.016 | INFO [alembic.runtime.migration] Context impl MySQLImpl.
2015-12-16 08:06:13.029 | 2015-12-16 08:06:13.017 | INFO [alembic.runtime.migration] Will assume non-transactional DDL.
2015-12-16 08:06:13.031 | 2015-12-16 08:06:13.019 | INFO [alembic.runtime.migration] Running upgrade -> juno, juno_initial
2015-12-16 08:06:13.033 | 2015-12-16 08:06:13.021 | INFO [alembic.runtime.migration] Running upgrade juno -> 44621190bc02, add_uniqueconstraint_ipavailability_ranges
2015-12-16 08:06:13.034 | 2015-12-16 08:06:13.023 | INFO [alembic.runtime.migration] Running upgrade 44621190bc02 -> 1f71e54a85e7, ml2_network_segments models change for multi-segment network.
2015-12-16 08:06:13.036 | 2015-12-16 08:06:13.024 | INFO [alembic.runtime.migration] Running upgrade 1f71e54a85e7 -> 408cfbf6923c, remove ryu plugin
2015-12-16 08:06:13.037 | 2015-12-16 08:06:13.026 | INFO [alembic.runtime.migration] Running upgrade 408cfbf6923c -> 28c0ffb8ebbd, remove mlnx plugin
2015-12-16 08:06:13.039 | 2015-12-16 08:06:13.027 | INFO [alembic.runtime.migration] Running upgrade 28c0ffb8ebbd -> 57086602ca0a, scrap_nsx_adv_svcs_models
2015-12-16 08:06:13.041 | 2015-12-16 08:06:13.029 | INFO [alembic.runtime.migration] Running upgrade 57086602ca0a -> 38495dc99731, ml2_tunnel_endpoints_table
2015-12-16 08:06:13.042 | 2015-12-16 08:06:13.030 | INFO [alembic.runtime.migration] Running upgrade 38495dc99731 -> 4dbe243cd84d, nsxv
2015-12-16 08:06:13.044 | 2015-12-16 08:06:13.032 | INFO [alembic.runtime.migration] Running upgrade 4dbe243cd84d -> 41662e32bce2, L3 DVR SNAT mapping
2015-12-16 08:06:13.046 | 2015-12-16 08:06:13.034 | INFO [alembic.runtime.migration] Running upgrade 41662e32bce2 -> 2a1ee2fb59e0, Add mac_address unique constraint
2015-12-16 08:06:13.047 | 2015-12-16 08:06:13.036 | INFO [alembic.runtime.migration] Running upgrade 2a1ee2fb59e0 -> 26b54cf9024d, Add index on allocated
2015-12-16 08:06:13.049 | 2015-12-16 08:06:13.037 | INFO [alembic.runtime.migration] Running upgrade 26b54cf9024d -> 14be42f3d0a5, Add default security group table
2015-12-16 08:06:13.051 | 2015-12-16 08:06:13.039 | INFO [alembic.runtime.migration] Running upgrade 14be42f3d0a5 -> 16cdf118d31d, extra_dhcp_options IPv6 support
2015-12-16 08:06:13.052 | 2015-12-16 08:06:13.040 | INFO [alembic.runtime.migration] Running upgrade 16cdf118d31d -> 43763a9618fd, add mtu attributes to network
2015-12-16 08:06:13.053 | 2015-12-16 08:06:13.042 | INFO [alembic.runtime.migration] Running upgrade 43763a9618fd -> bebba223288, Add vlan transparent property to network
2015-12-16 08:06:13.055 | 2015-12-16 08:06:13.043 | INFO [alembic.runtime.migration] Running upgrade bebba223288 -> 4119216b7365, Add index on tenant_id column
2015-12-16 08:06:13.056 | 2015-12-16 08:06:13.044 | INFO [alembic.runtime.migration] Running upgrade 4119216b7365 -> 2d2a8a565438, ML2 hierarchical binding
2015-12-16 08:06:13.058 | 2015-12-16 08:06:13.046 | INFO [alembic.runtime.migration] Running upgrade 2d2a8a565438 -> 2b801560a332, Remove Hyper-V Neutron Plugin
2015-12-16 08:06:13.059 | 2015-12-16 08:06:13.047 | INFO [alembic.runtime.migration] Running upgrade 2b801560a332 -> 57dd745253a6, nuage_kilo_migrate
2015-12-16 08:06:13.060 | 2015-12-16 08:06:13.048 | INFO [alembic.runtime.migration] Running upgrade 57dd745253a6 -> f15b1fb526dd, Cascade Floating IP Floating Port deletion
2015-12-16 08:06:13.062 | 2015-12-16 08:06:13.050 | INFO [alembic.runtime.migration] Running upgrade f15b1fb526dd -> 341ee8a4ccb5, sync with cisco repo
2015-12-16 08:06:13.063 | 2015-12-16 08:06:13.052 | INFO [alembic.runtime.migration] Running upgrade 341ee8a4ccb5 -> 35a0f3365720, add port-security in ml2
2015-12-16 08:06:13.065 | 2015-12-16 08:06:13.053 | INFO [alembic.runtime.migration] Running upgrade 35a0f3365720 -> 1955efc66455, weight_scheduler
2015-12-16 08:06:13.066 | 2015-12-16 08:06:13.055 | INFO [alembic.runtime.migration] Running upgrade 1955efc66455 -> 51c54792158e, Initial operations for subnetpools
2015-12-16 08:06:13.068 | 2015-12-16 08:06:13.056 | INFO [alembic.runtime.migration] Running upgrade 51c54792158e -> 589f9237ca0e, Cisco N1kv ML2 driver tables
2015-12-16 08:06:13.069 | 2015-12-16 08:06:13.058 | INFO [alembic.runtime.migration] Running upgrade 589f9237ca0e -> 20b99fd19d4f, Cisco UCS Manager Mechanism Driver
2015-12-16 08:06:13.071 | 2015-12-16 08:06:13.059 | INFO [alembic.runtime.migration] Running upgrade 20b99fd19d4f -> 034883111f, Remove allow_overlap from subnetpools
2015-12-16 08:06:13.072 | 2015-12-16 08:06:13.061 | INFO [alembic.runtime.migration] Running upgrade 034883111f -> 268fb5e99aa2, Initial operations in support of subnet allocation from a pool
2015-12-16 08:06:13.074 | 2015-12-16 08:06:13.062 | INFO [alembic.runtime.migration] Running upgrade 268fb5e99aa2 -> 28a09af858a8, Initial operations to support basic quotas on prefix space in a subnet pool
2015-12-16 08:06:13.075 | 2015-12-16 08:06:13.064 | INFO [alembic.runtime.migration] Running upgrade 28a09af858a8 -> 20c469a5f920, add index for port
2015-12-16 08:06:13.077 | 2015-12-16 08:06:13.065 | INFO [alembic.runtime.migration] Running upgrade 20c469a5f920 -> kilo, kilo
2015-12-16 08:06:13.078 | 2015-12-16 08:06:13.066 | INFO [alembic.runtime.migration] Running upgrade kilo -> 354db87e3225, nsxv_vdr_metadata.py
2015-12-16 08:06:13.080 | 2015-12-16 08:06:13.068 | INFO [alembic.runtime.migration] Running upgrade 354db87e3225 -> 599c6a226151, neutrodb_ipam
2015-12-16 08:06:13.081 | 2015-12-16 08:06:13.069 | INFO [alembic.runtime.migration] Running upgrade 599c6a226151 -> 52c5312f6baf, Initial operations in support of address scopes
2015-12-16 08:06:13.083 | 2015-12-16 08:06:13.071 | INFO [alembic.runtime.migration] Running upgrade 52c5312f6baf -> 313373c0ffee, Flavor framework
2015-12-16 08:06:13.084 | 2015-12-16 08:06:13.072 | INFO [alembic.runtime.migration] Running upgrade 313373c0ffee -> 8675309a5c4f, network_rbac
2015-12-16 08:06:13.085 | 2015-12-16 08:06:13.074 | INFO [alembic.runtime.migration] Running upgrade 8675309a5c4f -> 45f955889773, quota_usage
2015-12-16 08:06:13.087 | 2015-12-16 08:06:13.075 | INFO [alembic.runtime.migration] Running upgrade 45f955889773 -> 26c371498592, subnetpool hash
2015-12-16 08:06:13.088 | 2015-12-16 08:06:13.077 | INFO [alembic.runtime.migration] Running upgrade 26c371498592 -> 1c844d1677f7, add order to dnsnameservers
2015-12-16 08:06:13.090 | 2015-12-16 08:06:13.078 | INFO [alembic.runtime.migration] Running upgrade 1c844d1677f7 -> 1b4c6e320f79, address scope support in subnetpool
2015-12-16 08:06:13.091 | 2015-12-16 08:06:13.080 | INFO [alembic.runtime.migration] Running upgrade 1b4c6e320f79 -> 48153cb5f051, qos db changes
2015-12-16 08:06:13.093 | 2015-12-16 08:06:13.081 | INFO [alembic.runtime.migration] Running upgrade 48153cb5f051 -> 9859ac9c136, quota_reservations
2015-12-16 08:06:13.094 | 2015-12-16 08:06:13.082 | INFO [alembic.runtime.migration] Running upgrade 9859ac9c136 -> 34af2b5c5a59, Add dns_name to Port
2015-12-16 08:06:13.096 | 2015-12-16 08:06:13.084 | INFO [alembic.runtime.migration] Running upgrade 34af2b5c5a59 -> 59cb5b6cf4d, Add availability zone
2015-12-16 08:06:13.097 | 2015-12-16 08:06:13.085 | INFO [alembic.runtime.migration] Running upgrade 59cb5b6cf4d -> 13cfb89f881a, add is_default to subnetpool
2015-12-16 08:06:13.099 | 2015-12-16 08:06:13.087 | INFO [alembic.runtime.migration] Running upgrade 13cfb89f881a -> 32e5974ada25, Add standard attribute table
2015-12-16 08:06:13.100 | 2015-12-16 08:06:13.088 | INFO [alembic.runtime.migration] Running upgrade kilo -> 30018084ec99, Initial no-op Liberty contract rule.
2015-12-16 08:06:13.101 | 2015-12-16 08:06:13.090 | INFO [alembic.runtime.migration] Running upgrade 30018084ec99, 8675309a5c4f -> 4ffceebfada, network_rbac
2015-12-16 08:06:13.103 | 2015-12-16 08:06:13.091 | INFO [alembic.runtime.migration] Running upgrade 4ffceebfada -> 5498d17be016, Drop legacy OVS and LB plugin tables
2015-12-16 08:06:13.104 | 2015-12-16 08:06:13.093 | INFO [alembic.runtime.migration] Running upgrade 5498d17be016 -> 2a16083502f3, Metaplugin removal
2015-12-16 08:06:13.106 | 2015-12-16 08:06:13.094 | INFO [alembic.runtime.migration] Running upgrade 2a16083502f3 -> 2e5352a0ad4d, Add missing foreign keys
2015-12-16 08:06:13.107 | 2015-12-16 08:06:13.096 | INFO [alembic.runtime.migration] Running upgrade 2e5352a0ad4d -> 11926bcfe72d, add geneve ml2 type driver
2015-12-16 08:06:13.109 | 2015-12-16 08:06:13.097 | INFO [alembic.runtime.migration] Running upgrade 11926bcfe72d -> 4af11ca47297, Drop cisco monolithic tables
2015-12-16 08:06:13.110 | 2015-12-16 08:06:13.099 | INFO [alembic.runtime.migration] Running upgrade 4af11ca47297 -> 1b294093239c, Drop embrane plugin table
2015-12-16 08:06:13.112 | 2015-12-16 08:06:13.100 | INFO [alembic.runtime.migration] Running upgrade 1b294093239c, 32e5974ada25 -> 8a6d8bdae39, standardattributes migration
2015-12-16 08:06:13.114 | 2015-12-16 08:06:13.102 | INFO [alembic.runtime.migration] Running upgrade 32e5974ada25 -> ec7fcfbf72ee, Add network availability zone
2015-12-16 08:06:13.115 | 2015-12-16 08:06:13.104 | INFO [alembic.runtime.migration] Running upgrade ec7fcfbf72ee -> dce3ec7a25c9, Add router availability zone
2015-12-16 08:06:13.117 | 2015-12-16 08:06:13.105 | INFO [alembic.runtime.migration] Running upgrade dce3ec7a25c9 -> c3a73f615e4, Add ip_version to AddressScope
2015-12-16 08:06:13.118 | 2015-12-16 08:06:13.107 | INFO [alembic.runtime.migration] Context impl MySQLImpl.
2015-12-16 08:06:13.120 | 2015-12-16 08:06:13.108 | INFO [alembic.runtime.migration] Will assume non-transactional DDL.
2015-12-16 08:06:13.121 | 2015-12-16 08:06:13.110 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT(display_width=20) to Variant() on 'floatingips.standard_attr_id'
2015-12-16 08:06:13.123 | 2015-12-16 08:06:13.111 | INFO [alembic.autogenerate.compare] Detected removed index 'idx_autoinc_vr_id' on 'ha_router_vrid_allocations'
2015-12-16 08:06:13.124 | 2015-12-16 08:06:13.113 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT(display_width=20) to Variant() on 'networks.standard_attr_id'
2015-12-16 08:06:13.126 | 2015-12-16 08:06:13.114 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT(display_width=20) to Variant() on 'ports.standard_attr_id'
2015-12-16 08:06:13.127 | 2015-12-16 08:06:13.116 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT(display_width=20) to Variant() on 'routers.standard_attr_id'
2015-12-16 08:06:13.129 | 2015-12-16 08:06:13.117 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT(display_width=20) to Variant() on 'securitygrouprules.standard_attr_id'
2015-12-16 08:06:13.130 | 2015-12-16 08:06:13.119 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT(display_width=20) to Variant() on 'securitygroups.standard_attr_id'
2015-12-16 08:06:13.132 | 2015-12-16 08:06:13.120 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT(display_width=20) to Variant() on 'standardattributes.id'
2015-12-16 08:06:13.133 | 2015-12-16 08:06:13.122 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT(display_width=20) to Variant() on 'subnetpools.standard_attr_id'
2015-12-16 08:06:13.135 | 2015-12-16 08:06:13.123 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT(display_width=20) to Variant() on 'subnets.standard_attr_id'
2015-12-16 08:06:13.136 | 2015-12-16 08:06:13.125 |
2015-12-16 08:06:13.138 | 2015-12-16 08:06:13.126 |
2015-12-16 08:06:13.139 | 2015-12-16 08:06:13.128 | Captured stdout:
2015-12-16 08:06:13.141 | 2015-12-16 08:06:13.129 | ~~~~~~~~~~~~~~~~
2015-12-16 08:06:13.143 | 2015-12-16 08:06:13.131 | Running upgrade for neutron ...
2015-12-16 08:06:13.144 | 2015-12-16 08:06:13.132 | OK
2015-12-16 08:06:13.147 | 2015-12-16 08:06:13.134 |
2015-12-16 08:06:13.147 | 2015-12-16 08:06:13.135 | neutron.tests.functional.db.test_migrations.TestModelsMigrationsPsql.test_models_sync
2015-12-16 08:06:13.149 | 2015-12-16 08:06:13.137 | -------------------------------------------------------------------------------------
2015-12-16 08:06:13.150 | 2015-12-16 08:06:13.138 |
2015-12-16 08:06:13.152 | 2015-12-16 08:06:13.140 | Captured traceback:
2015-12-16 08:06:13.153 | 2015-12-16 08:06:13.141 | ~~~~~~~~~~~~~~~~~~~
2015-12-16 08:06:13.155 | 2015-12-16 08:06:13.143 | Traceback (most recent call last):
2015-12-16 08:06:13.156 | 2015-12-16 08:06:13.145 | File "/opt/stack/new/neutron/.tox/dsvm-functional/local/lib/python2.7/site-packages/oslo_db/sqlalchemy/test_migrations.py", line 603, in test_models_sync
2015-12-16 08:06:13.158 | 2015-12-16 08:06:13.146 | "Models and migration scripts aren't in sync:\n%s" % msg)
2015-12-16 08:06:13.159 | 2015-12-16 08:06:13.148 | File "/opt/stack/new/neutron/.tox/dsvm-functional/local/lib/python2.7/site-packages/unittest2/case.py", line 690, in fail
2015-12-16 08:06:13.161 | 2015-12-16 08:06:13.149 | raise self.failureException(msg)
2015-12-16 08:06:13.162 | 2015-12-16 08:06:13.151 | AssertionError: Models and migration scripts aren't in sync:
2015-12-16 08:06:13.164 | 2015-12-16 08:06:13.152 | [ [ ( 'modify_type',
2015-12-16 08:06:13.165 | 2015-12-16 08:06:13.153 | None,
2015-12-16 08:06:13.167 | 2015-12-16 08:06:13.155 | 'floatingips',
2015-12-16 08:06:13.168 | 2015-12-16 08:06:13.156 | 'standard_attr_id',
2015-12-16 08:06:13.169 | 2015-12-16 08:06:13.158 | { 'existing_nullable': False,
2015-12-16 08:06:13.171 | 2015-12-16 08:06:13.159 | 'existing_server_default': False},
2015-12-16 08:06:13.172 | 2015-12-16 08:06:13.161 | BIGINT(),
2015-12-16 08:06:13.174 | 2015-12-16 08:06:13.162 | Variant())],
2015-12-16 08:06:13.175 | 2015-12-16 08:06:13.163 | [ ( 'modify_type',
2015-12-16 08:06:13.177 | 2015-12-16 08:06:13.165 | None,
2015-12-16 08:06:13.178 | 2015-12-16 08:06:13.166 | 'networks',
2015-12-16 08:06:13.180 | 2015-12-16 08:06:13.168 | 'standard_attr_id',
2015-12-16 08:06:13.181 | 2015-12-16 08:06:13.170 | { 'existing_nullable': False,
2015-12-16 08:06:13.183 | 2015-12-16 08:06:13.171 | 'existing_server_default': False},
2015-12-16 08:06:13.184 | 2015-12-16 08:06:13.173 | BIGINT(),
2015-12-16 08:06:13.186 | 2015-12-16 08:06:13.174 | Variant())],
2015-12-16 08:06:13.187 | 2015-12-16 08:06:13.175 | [ ( 'modify_type',
2015-12-16 08:06:13.189 | 2015-12-16 08:06:13.177 | None,
2015-12-16 08:06:13.190 | 2015-12-16 08:06:13.179 | 'ports',
2015-12-16 08:06:13.192 | 2015-12-16 08:06:13.180 | 'standard_attr_id',
2015-12-16 08:06:13.193 | 2015-12-16 08:06:13.181 | { 'existing_nullable': False,
2015-12-16 08:06:13.195 | 2015-12-16 08:06:13.183 | 'existing_server_default': False},
2015-12-16 08:06:13.196 | 2015-12-16 08:06:13.184 | BIGINT(),
2015-12-16 08:06:13.198 | 2015-12-16 08:06:13.186 | Variant())],
2015-12-16 08:06:13.199 | 2015-12-16 08:06:13.187 | [ ( 'modify_type',
2015-12-16 08:06:13.200 | 2015-12-16 08:06:13.189 | None,
2015-12-16 08:06:13.202 | 2015-12-16 08:06:13.190 | 'routers',
2015-12-16 08:06:13.203 | 2015-12-16 08:06:13.192 | 'standard_attr_id',
2015-12-16 08:06:13.205 | 2015-12-16 08:06:13.193 | { 'existing_nullable': False,
2015-12-16 08:06:13.207 | 2015-12-16 08:06:13.195 | 'existing_server_default': False},
2015-12-16 08:06:13.208 | 2015-12-16 08:06:13.196 | BIGINT(),
2015-12-16 08:06:13.210 | 2015-12-16 08:06:13.198 | Variant())],
2015-12-16 08:06:13.211 | 2015-12-16 08:06:13.199 | [ ( 'modify_type',
2015-12-16 08:06:13.213 | 2015-12-16 08:06:13.201 | None,
2015-12-16 08:06:13.214 | 2015-12-16 08:06:13.202 | 'securitygrouprules',
2015-12-16 08:06:13.215 | 2015-12-16 08:06:13.204 | 'standard_attr_id',
2015-12-16 08:06:13.217 | 2015-12-16 08:06:13.205 | { 'existing_nullable': False,
2015-12-16 08:06:13.218 | 2015-12-16 08:06:13.207 | 'existing_server_default': False},
2015-12-16 08:06:13.220 | 2015-12-16 08:06:13.208 | BIGINT(),
2015-12-16 08:06:13.221 | 2015-12-16 08:06:13.210 | Variant())],
2015-12-16 08:06:13.223 | 2015-12-16 08:06:13.211 | [ ( 'modify_type',
2015-12-16 08:06:13.224 | 2015-12-16 08:06:13.212 | None,
2015-12-16 08:06:13.226 | 2015-12-16 08:06:13.214 | 'securitygroups',
2015-12-16 08:06:13.227 | 2015-12-16 08:06:13.215 | 'standard_attr_id',
2015-12-16 08:06:13.228 | 2015-12-16 08:06:13.217 | { 'existing_nullable': False,
2015-12-16 08:06:13.230 | 2015-12-16 08:06:13.218 | 'existing_server_default': False},
2015-12-16 08:06:13.231 | 2015-12-16 08:06:13.220 | BIGINT(),
2015-12-16 08:06:13.233 | 2015-12-16 08:06:13.221 | Variant())],
2015-12-16 08:06:13.234 | 2015-12-16 08:06:13.223 | [ ( 'modify_type',
2015-12-16 08:06:13.236 | 2015-12-16 08:06:13.224 | None,
2015-12-16 08:06:13.237 | 2015-12-16 08:06:13.225 | 'standardattributes',
2015-12-16 08:06:13.239 | 2015-12-16 08:06:13.227 | 'id',
2015-12-16 08:06:13.240 | 2015-12-16 08:06:13.228 | { 'existing_nullable': None,
2015-12-16 08:06:13.241 | 2015-12-16 08:06:13.230 | 'existing_server_default': DefaultClause(<sqlalchemy.sql.elements.TextClause object at 0x7f7e1771bfd0>, for_update=False)},
2015-12-16 08:06:13.243 | 2015-12-16 08:06:13.231 | BIGINT(),
2015-12-16 08:06:13.244 | 2015-12-16 08:06:13.233 | Variant())],
2015-12-16 08:06:13.246 | 2015-12-16 08:06:13.234 | [ ( 'modify_type',
2015-12-16 08:06:13.247 | 2015-12-16 08:06:13.236 | None,
2015-12-16 08:06:13.249 | 2015-12-16 08:06:13.237 | 'subnetpools',
2015-12-16 08:06:13.250 | 2015-12-16 08:06:13.239 | 'standard_attr_id',
2015-12-16 08:06:13.252 | 2015-12-16 08:06:13.240 | { 'existing_nullable': False,
2015-12-16 08:06:13.253 | 2015-12-16 08:06:13.242 | 'existing_server_default': False},
2015-12-16 08:06:13.255 | 2015-12-16 08:06:13.243 | BIGINT(),
2015-12-16 08:06:13.256 | 2015-12-16 08:06:13.245 | Variant())],
2015-12-16 08:06:13.258 | 2015-12-16 08:06:13.246 | [ ( 'modify_type',
2015-12-16 08:06:13.259 | 2015-12-16 08:06:13.248 | None,
2015-12-16 08:06:13.261 | 2015-12-16 08:06:13.249 | 'subnets',
2015-12-16 08:06:13.262 | 2015-12-16 08:06:13.251 | 'standard_attr_id',
2015-12-16 08:06:13.264 | 2015-12-16 08:06:13.252 | { 'existing_nullable': False,
2015-12-16 08:06:13.265 | 2015-12-16 08:06:13.254 | 'existing_server_default': False},
2015-12-16 08:06:13.267 | 2015-12-16 08:06:13.255 | BIGINT(),
2015-12-16 08:06:13.268 | 2015-12-16 08:06:13.257 | Variant())]]
2015-12-16 08:06:13.270 | 2015-12-16 08:06:13.258 |
2015-12-16 08:06:13.271 | 2015-12-16 08:06:13.260 |
2015-12-16 08:06:13.273 | 2015-12-16 08:06:13.261 | Captured stderr:
2015-12-16 08:06:13.274 | 2015-12-16 08:06:13.262 | ~~~~~~~~~~~~~~~~
2015-12-16 08:06:13.276 | 2015-12-16 08:06:13.264 | INFO [alembic.runtime.migration] Context impl PostgresqlImpl.
2015-12-16 08:06:13.278 | 2015-12-16 08:06:13.266 | INFO [alembic.runtime.migration] Will assume transactional DDL.
2015-12-16 08:06:13.279 | 2015-12-16 08:06:13.268 | INFO [alembic.runtime.migration] Running upgrade -> juno, juno_initial
2015-12-16 08:06:13.281 | 2015-12-16 08:06:13.270 | INFO [alembic.runtime.migration] Running upgrade juno -> 44621190bc02, add_uniqueconstraint_ipavailability_ranges
2015-12-16 08:06:13.283 | 2015-12-16 08:06:13.271 | INFO [alembic.runtime.migration] Running upgrade 44621190bc02 -> 1f71e54a85e7, ml2_network_segments models change for multi-segment network.
2015-12-16 08:06:13.284 | 2015-12-16 08:06:13.273 | INFO [alembic.runtime.migration] Running upgrade 1f71e54a85e7 -> 408cfbf6923c, remove ryu plugin
2015-12-16 08:06:13.286 | 2015-12-16 08:06:13.274 | INFO [alembic.runtime.migration] Running upgrade 408cfbf6923c -> 28c0ffb8ebbd, remove mlnx plugin
2015-12-16 08:06:13.288 | 2015-12-16 08:06:13.276 | INFO [alembic.runtime.migration] Running upgrade 28c0ffb8ebbd -> 57086602ca0a, scrap_nsx_adv_svcs_models
2015-12-16 08:06:13.289 | 2015-12-16 08:06:13.278 | INFO [alembic.runtime.migration] Running upgrade 57086602ca0a -> 38495dc99731, ml2_tunnel_endpoints_table
2015-12-16 08:06:13.291 | 2015-12-16 08:06:13.279 | INFO [alembic.runtime.migration] Running upgrade 38495dc99731 -> 4dbe243cd84d, nsxv
2015-12-16 08:06:13.293 | 2015-12-16 08:06:13.281 | INFO [alembic.runtime.migration] Running upgrade 4dbe243cd84d -> 41662e32bce2, L3 DVR SNAT mapping
2015-12-16 08:06:13.294 | 2015-12-16 08:06:13.282 | INFO [alembic.runtime.migration] Running upgrade 41662e32bce2 -> 2a1ee2fb59e0, Add mac_address unique constraint
2015-12-16 08:06:13.296 | 2015-12-16 08:06:13.284 | INFO [alembic.runtime.migration] Running upgrade 2a1ee2fb59e0 -> 26b54cf9024d, Add index on allocated
2015-12-16 08:06:13.297 | 2015-12-16 08:06:13.286 | INFO [alembic.runtime.migration] Running upgrade 26b54cf9024d -> 14be42f3d0a5, Add default security group table
2015-12-16 08:06:13.299 | 2015-12-16 08:06:13.287 | INFO [alembic.runtime.migration] Running upgrade 14be42f3d0a5 -> 16cdf118d31d, extra_dhcp_options IPv6 support
2015-12-16 08:06:13.300 | 2015-12-16 08:06:13.289 | INFO [alembic.runtime.migration] Running upgrade 16cdf118d31d -> 43763a9618fd, add mtu attributes to network
2015-12-16 08:06:13.302 | 2015-12-16 08:06:13.290 | INFO [alembic.runtime.migration] Running upgrade 43763a9618fd -> bebba223288, Add vlan transparent property to network
2015-12-16 08:06:13.303 | 2015-12-16 08:06:13.292 | INFO [alembic.runtime.migration] Running upgrade bebba223288 -> 4119216b7365, Add index on tenant_id column
2015-12-16 08:06:13.305 | 2015-12-16 08:06:13.293 | INFO [alembic.runtime.migration] Running upgrade 4119216b7365 -> 2d2a8a565438, ML2 hierarchical binding
2015-12-16 08:06:13.307 | 2015-12-16 08:06:13.295 | INFO [alembic.runtime.migration] Running upgrade 2d2a8a565438 -> 2b801560a332, Remove Hyper-V Neutron Plugin
2015-12-16 08:06:13.308 | 2015-12-16 08:06:13.297 | INFO [alembic.runtime.migration] Running upgrade 2b801560a332 -> 57dd745253a6, nuage_kilo_migrate
2015-12-16 08:06:13.310 | 2015-12-16 08:06:13.299 | INFO [alembic.runtime.migration] Running upgrade 57dd745253a6 -> f15b1fb526dd, Cascade Floating IP Floating Port deletion
2015-12-16 08:06:13.312 | 2015-12-16 08:06:13.300 | INFO [alembic.runtime.migration] Running upgrade f15b1fb526dd -> 341ee8a4ccb5, sync with cisco repo
2015-12-16 08:06:13.314 | 2015-12-16 08:06:13.302 | INFO [alembic.runtime.migration] Running upgrade 341ee8a4ccb5 -> 35a0f3365720, add port-security in ml2
2015-12-16 08:06:13.316 | 2015-12-16 08:06:13.304 | INFO [alembic.runtime.migration] Running upgrade 35a0f3365720 -> 1955efc66455, weight_scheduler
2015-12-16 08:06:13.317 | 2015-12-16 08:06:13.306 | INFO [alembic.runtime.migration] Running upgrade 1955efc66455 -> 51c54792158e, Initial operations for subnetpools
2015-12-16 08:06:13.319 | 2015-12-16 08:06:13.307 | INFO [alembic.runtime.migration] Running upgrade 51c54792158e -> 589f9237ca0e, Cisco N1kv ML2 driver tables
2015-12-16 08:06:13.321 | 2015-12-16 08:06:13.309 | INFO [alembic.runtime.migration] Running upgrade 589f9237ca0e -> 20b99fd19d4f, Cisco UCS Manager Mechanism Driver
2015-12-16 08:06:13.323 | 2015-12-16 08:06:13.311 | INFO [alembic.runtime.migration] Running upgrade 20b99fd19d4f -> 034883111f, Remove allow_overlap from subnetpools
2015-12-16 08:06:13.324 | 2015-12-16 08:06:13.313 | INFO [alembic.runtime.migration] Running upgrade 034883111f -> 268fb5e99aa2, Initial operations in support of subnet allocation from a pool
2015-12-16 08:06:13.326 | 2015-12-16 08:06:13.314 | INFO [alembic.runtime.migration] Running upgrade 268fb5e99aa2 -> 28a09af858a8, Initial operations to support basic quotas on prefix space in a subnet pool
2015-12-16 08:06:13.328 | 2015-12-16 08:06:13.316 | INFO [alembic.runtime.migration] Running upgrade 28a09af858a8 -> 20c469a5f920, add index for port
2015-12-16 08:06:13.329 | 2015-12-16 08:06:13.317 | INFO [alembic.runtime.migration] Running upgrade 20c469a5f920 -> kilo, kilo
2015-12-16 08:06:13.331 | 2015-12-16 08:06:13.319 | INFO [alembic.runtime.migration] Running upgrade kilo -> 354db87e3225, nsxv_vdr_metadata.py
2015-12-16 08:06:13.332 | 2015-12-16 08:06:13.321 | INFO [alembic.runtime.migration] Running upgrade 354db87e3225 -> 599c6a226151, neutrodb_ipam
2015-12-16 08:06:13.334 | 2015-12-16 08:06:13.322 | INFO [alembic.runtime.migration] Running upgrade 599c6a226151 -> 52c5312f6baf, Initial operations in support of address scopes
2015-12-16 08:06:13.335 | 2015-12-16 08:06:13.324 | INFO [alembic.runtime.migration] Running upgrade 52c5312f6baf -> 313373c0ffee, Flavor framework
2015-12-16 08:06:13.337 | 2015-12-16 08:06:13.325 | INFO [alembic.runtime.migration] Running upgrade 313373c0ffee -> 8675309a5c4f, network_rbac
2015-12-16 08:06:13.338 | 2015-12-16 08:06:13.327 | INFO [alembic.runtime.migration] Running upgrade 8675309a5c4f -> 45f955889773, quota_usage
2015-12-16 08:06:13.340 | 2015-12-16 08:06:13.328 | INFO [alembic.runtime.migration] Running upgrade 45f955889773 -> 26c371498592, subnetpool hash
2015-12-16 08:06:13.341 | 2015-12-16 08:06:13.330 | INFO [alembic.runtime.migration] Running upgrade 26c371498592 -> 1c844d1677f7, add order to dnsnameservers
2015-12-16 08:06:13.343 | 2015-12-16 08:06:13.331 | INFO [alembic.runtime.migration] Running upgrade 1c844d1677f7 -> 1b4c6e320f79, address scope support in subnetpool
2015-12-16 08:06:13.344 | 2015-12-16 08:06:13.333 | INFO [alembic.runtime.migration] Running upgrade 1b4c6e320f79 -> 48153cb5f051, qos db changes
2015-12-16 08:06:13.346 | 2015-12-16 08:06:13.334 | INFO [alembic.runtime.migration] Running upgrade 48153cb5f051 -> 9859ac9c136, quota_reservations
2015-12-16 08:06:13.348 | 2015-12-16 08:06:13.336 | INFO [alembic.runtime.migration] Running upgrade 9859ac9c136 -> 34af2b5c5a59, Add dns_name to Port
2015-12-16 08:06:13.349 | 2015-12-16 08:06:13.337 | INFO [alembic.runtime.migration] Running upgrade 34af2b5c5a59 -> 59cb5b6cf4d, Add availability zone
2015-12-16 08:06:13.351 | 2015-12-16 08:06:13.339 | INFO [alembic.runtime.migration] Running upgrade 59cb5b6cf4d -> 13cfb89f881a, add is_default to subnetpool
2015-12-16 08:06:13.353 | 2015-12-16 08:06:13.341 | INFO [alembic.runtime.migration] Running upgrade 13cfb89f881a -> 32e5974ada25, Add standard attribute table
2015-12-16 08:06:13.354 | 2015-12-16 08:06:13.343 | INFO [alembic.runtime.migration] Running upgrade kilo -> 30018084ec99, Initial no-op Liberty contract rule.
2015-12-16 08:06:13.356 | 2015-12-16 08:06:13.344 | INFO [alembic.runtime.migration] Running upgrade 30018084ec99, 8675309a5c4f -> 4ffceebfada, network_rbac
2015-12-16 08:06:13.357 | 2015-12-16 08:06:13.346 | INFO [alembic.runtime.migration] Running upgrade 4ffceebfada -> 5498d17be016, Drop legacy OVS and LB plugin tables
2015-12-16 08:06:13.359 | 2015-12-16 08:06:13.347 | INFO [alembic.runtime.migration] Running upgrade 5498d17be016 -> 2a16083502f3, Metaplugin removal
2015-12-16 08:06:13.360 | 2015-12-16 08:06:13.349 | INFO [alembic.runtime.migration] Running upgrade 2a16083502f3 -> 2e5352a0ad4d, Add missing foreign keys
2015-12-16 08:06:13.362 | 2015-12-16 08:06:13.350 | INFO [alembic.runtime.migration] Running upgrade 2e5352a0ad4d -> 11926bcfe72d, add geneve ml2 type driver
2015-12-16 08:06:13.363 | 2015-12-16 08:06:13.352 | INFO [alembic.runtime.migration] Running upgrade 11926bcfe72d -> 4af11ca47297, Drop cisco monolithic tables
2015-12-16 08:06:13.365 | 2015-12-16 08:06:13.353 | INFO [alembic.runtime.migration] Running upgrade 4af11ca47297 -> 1b294093239c, Drop embrane plugin table
2015-12-16 08:06:13.366 | 2015-12-16 08:06:13.355 | INFO [alembic.runtime.migration] Running upgrade 1b294093239c, 32e5974ada25 -> 8a6d8bdae39, standardattributes migration
2015-12-16 08:06:13.368 | 2015-12-16 08:06:13.356 | INFO [alembic.runtime.migration] Running upgrade 32e5974ada25 -> ec7fcfbf72ee, Add network availability zone
2015-12-16 08:06:13.369 | 2015-12-16 08:06:13.357 | INFO [alembic.runtime.migration] Running upgrade ec7fcfbf72ee -> dce3ec7a25c9, Add router availability zone
2015-12-16 08:06:13.371 | 2015-12-16 08:06:13.359 | INFO [alembic.runtime.migration] Running upgrade dce3ec7a25c9 -> c3a73f615e4, Add ip_version to AddressScope
2015-12-16 08:06:13.372 | 2015-12-16 08:06:13.360 | INFO [alembic.runtime.migration] Context impl PostgresqlImpl.
2015-12-16 08:06:13.374 | 2015-12-16 08:06:13.362 | INFO [alembic.runtime.migration] Will assume transactional DDL.
2015-12-16 08:06:13.375 | 2015-12-16 08:06:13.364 | INFO [alembic.ddl.postgresql] Detected sequence named 'routerrules_id_seq' as owned by integer column 'routerrules(id)', assuming SERIAL and omitting
2015-12-16 08:06:13.377 | 2015-12-16 08:06:13.365 | INFO [alembic.ddl.postgresql] Detected sequence named 'ml2_ucsm_port_profiles_vlan_id_seq' as owned by integer column 'ml2_ucsm_port_profiles(vlan_id)', assuming SERIAL and omitting
2015-12-16 08:06:13.379 | 2015-12-16 08:06:13.367 | INFO [alembic.ddl.postgresql] Detected sequence named 'nsxv_edge_vnic_bindings_vnic_index_seq' as owned by integer column 'nsxv_edge_vnic_bindings(vnic_index)', assuming SERIAL and omitting
2015-12-16 08:06:13.380 | 2015-12-16 08:06:13.368 | INFO [alembic.ddl.postgresql] Detected sequence named 'cisco_ml2_nexus_nve_vni_seq' as owned by integer column 'cisco_ml2_nexus_nve(vni)', assuming SERIAL and omitting
2015-12-16 08:06:13.382 | 2015-12-16 08:06:13.370 | INFO [alembic.ddl.postgresql] Detected sequence named 'cisco_ml2_nexusport_bindings_binding_id_seq' as owned by integer column 'cisco_ml2_nexusport_bindings(binding_id)', assuming SERIAL and omitting
2015-12-16 08:06:13.384 | 2015-12-16 08:06:13.372 | INFO [alembic.ddl.postgresql] Detected sequence named 'ha_router_vrid_allocations_vr_id_seq' as owned by integer column 'ha_router_vrid_allocations(vr_id)', assuming SERIAL and omitting
2015-12-16 08:06:13.385 | 2015-12-16 08:06:13.373 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT() to Variant() on 'floatingips.standard_attr_id'
2015-12-16 08:06:13.387 | 2015-12-16 08:06:13.375 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT() to Variant() on 'networks.standard_attr_id'
2015-12-16 08:06:13.388 | 2015-12-16 08:06:13.376 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT() to Variant() on 'ports.standard_attr_id'
2015-12-16 08:06:13.390 | 2015-12-16 08:06:13.378 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT() to Variant() on 'routers.standard_attr_id'
2015-12-16 08:06:13.391 | 2015-12-16 08:06:13.379 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT() to Variant() on 'securitygrouprules.standard_attr_id'
2015-12-16 08:06:13.393 | 2015-12-16 08:06:13.381 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT() to Variant() on 'securitygroups.standard_attr_id'
2015-12-16 08:06:13.394 | 2015-12-16 08:06:13.382 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT() to Variant() on 'standardattributes.id'
2015-12-16 08:06:13.395 | 2015-12-16 08:06:13.384 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT() to Variant() on 'subnetpools.standard_attr_id'
2015-12-16 08:06:13.397 | 2015-12-16 08:06:13.385 | INFO [alembic.autogenerate.compare] Detected type change from BIGINT() to Variant() on 'subnets.standard_attr_id'
2015-12-16 08:06:13.399 | 2015-12-16 08:06:13.387 |
2015-12-16 08:06:13.400 | 2015-12-16 08:06:13.389 |
2015-12-16 08:06:13.402 | 2015-12-16 08:06:13.390 | Captured stdout:
2015-12-16 08:06:13.404 | 2015-12-16 08:06:13.392 | ~~~~~~~~~~~~~~~~
2015-12-16 08:06:13.405 | 2015-12-16 08:06:13.393 | Running upgrade for neutron ...
2015-12-16 08:06:13.407 | 2015-12-16 08:06:13.395 | OK

Sreekumar S (sreesiv) wrote :

This looks similar to Bug #1486936 which has a fix released.
But the trace for this issue looked a bit different, so I decided to raise a new bug and mention the similar one.

Changed in neutron:
assignee: nobody → Ihar Hrachyshka (ihar-hrachyshka)
Tomi Juvonen (tomi-juvonen-q) wrote :
Download full text (3.3 KiB)

I get kind of similar with Nova: nova.tests.unit.db.test_migrations.TestNovaMigrationsSQLite.test_models_sync

~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/home/tojuvone/nova/.tox/py27/lib/python2.7/site-packages/oslo_db/sqlalchemy/test_migrations.py", line 603, in test_models_sync
        "Models and migration scripts aren't in sync:\n%s" % msg)
      File "/home/tojuvone/nova/.tox/py27/lib/python2.7/site-packages/unittest2/case.py", line 690, in fail
        raise self.failureException(msg)
    AssertionError: Models and migration scripts aren't in sync:
    [ [ ( 'modify_type',
          None,
          'bw_usage_cache',
          'bw_in',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'bw_usage_cache',
          'bw_out',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'bw_usage_cache',
          'last_ctr_in',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'bw_usage_cache',
          'last_ctr_out',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'volume_usage_cache',
          'curr_read_bytes',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'volume_usage_cache',
          'curr_reads',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'volume_usage_cache',
          'curr_write_bytes',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'volume_usage_cache',
          'curr_writes',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'volume_usage_cache',
          'tot_read_bytes',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'volume_usage_cache',
          'tot_reads',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'volume_usage_cache',
          'tot_write_bytes',
          { 'existing_nullable': True,
            'existing_server_default': False},
          INTEGER(),
          BigInteger())],
      [ ( 'modify_type',
          None,
          'volume_usage_cache',
         ...

Read more...

Changed in nova:
importance: Undecided → Critical
Changed in neutron:
assignee: Ihar Hrachyshka (ihar-hrachyshka) → Ann Kamyshnikova (akamyshnikova)

The new alembic version 0.8.4 got released yesterday [1], could be related to that.

http://alembic.readthedocs.org/en/latest/changelog.html

tags: added: gate-failure

When I exclude alembic version 0.8.4 from the requirements.txt file I can make the tests pass.

Changed in nova:
status: New → Confirmed

Related fix proposed to branch: master
Review: https://review.openstack.org/258462

Changed in nova:
assignee: nobody → Markus Zoeller (markus_z) (mzoeller)
status: Confirmed → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/258471

Changed in neutron:
status: New → In Progress
Ann Taraday (akamyshnikova) wrote :

Neutron hit with http://paste.openstack.org/show/482062/ comparison of Variant and BigInteger.

Sreekumar S (sreesiv) wrote :

Could the same alembic ver fix work for neutron?

Once it is fixed in alembic, can re-enable it in requirements.txt. At least the fixes will be consistent that way!

Sean Dague (sdague) wrote :

It's especially frustrating in that Nova doesn't use Alembic, however it's dragged in because of the tests in oslo.db

Changed in oslo.db:
importance: Undecided → Critical
Changed in neutron:
importance: Undecided → Critical

Change abandoned by Markus Zoeller (markus_z) (<email address hidden>) on branch: master
Review: https://review.openstack.org/258462
Reason: That commit solves the issue: https://review.openstack.org/#/c/253859/

Changed in nova:
assignee: Markus Zoeller (markus_z) (mzoeller) → Mike Bayer (zzzeek)
tags: added: liberty-backport-potential
Mike Bayer (zzzeek) wrote :

I was about to say Alembic in Nova is intrinsic to the online schema migrations feature but apparently that's been taken out of tree.

Nova's BIGINT/Integer switch for SQLite is a good thing to remove in any case and ultimately everyone should be on Alembic since sqla-migrate is EOL.

Matt Riedemann (mriedem) wrote :

Kilo is also failing because oslo.db 1.7.2 has an uncapped requirement on alembic which is pulling in 0.8.4. stable/kilo oslo.db actually has alembic capped from stable/kilo g-r, we just need to release oslo.db 1.7.3 for kilo.

Mike Bayer (zzzeek) wrote :

I thought we had more caps like this in place up front already, didn't expect it to break this many things!

Matt Riedemann (mriedem) wrote :

oslo.db 1.7.3 release request: https://review.openstack.org/#/c/258606/

Changed in neutron:
assignee: Ann Kamyshnikova (akamyshnikova) → Henry Gessau (gessau)
Henry Gessau (gessau) on 2015-12-17
Changed in neutron:
assignee: Henry Gessau (gessau) → Ann Kamyshnikova (akamyshnikova)

Reviewed: https://review.openstack.org/258471
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=b8d281a303ca12440aebb55895ebb192d25cecf8
Submitter: Jenkins
Branch: master

commit b8d281a303ca12440aebb55895ebb192d25cecf8
Author: AKamyshnikova <email address hidden>
Date: Wed Dec 16 15:32:45 2015 +0300

    Fix comparison of Variant and other type in test_model_sync

    Tests TestModelsMigrations failed on comparation Variant type and
    BigInteger after alembic 0.8.4 release.
    Current change corrected compare_type for such case.

    Closes-bug: #1526675

    Co-Authored-By: Ihar Hrachyshka <email address hidden>
    Change-Id: I7ae7aaf053a81f487d9ec14859700806fa4f9017

Changed in neutron:
status: In Progress → Fix Released

Change abandoned by Ihar Hrachyshka (<email address hidden>) on branch: stable/liberty
Review: https://review.openstack.org/258553
Reason: Ann, you are absolutely right. Thanks for catching it.

Changed in glance:
assignee: nobody → Flavio Percoco (flaper87)
importance: Undecided → Critical
status: New → Triaged

Reviewed: https://review.openstack.org/258527
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=2e2adb3935bcbf9dc6e100c4ba9a8e1b4bf3a4e6
Submitter: Jenkins
Branch: master

commit 2e2adb3935bcbf9dc6e100c4ba9a8e1b4bf3a4e6
Author: Mike Fedosin <email address hidden>
Date: Wed Dec 16 17:05:45 2015 +0300

    Fix model sync for SQLite

    This code fixes the situation when several
    models are mismatched for SQLite because of
    type inconsistencies between Integer and
    BigInteger in sqlalchemy.

    Change-Id: I52b3a0158db8e3dc48f19509d1f9f80420ee40ea
    Closes-bug: #1526804
    Closes-bug: #1526675

Changed in glance:
status: Triaged → Fix Released
Changed in nova:
status: In Progress → Fix Committed
Changed in oslo.db:
status: New → In Progress
assignee: nobody → Ann Kamyshnikova (akamyshnikova)

Reviewed: https://review.openstack.org/259244
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=2b20285a1a48aa88e6d101e62d4bef2b9eda1c35
Submitter: Jenkins
Branch: stable/liberty

commit 2b20285a1a48aa88e6d101e62d4bef2b9eda1c35
Author: Mike Fedosin <email address hidden>
Date: Wed Dec 16 17:05:45 2015 +0300

    Fix model sync for SQLite

    This code fixes the situation when several
    models are mismatched for SQLite because of
    type inconsistencies between Integer and
    BigInteger in sqlalchemy.

    Change-Id: I52b3a0158db8e3dc48f19509d1f9f80420ee40ea
    Closes-bug: #1526804
    Closes-bug: #1526675
    (cherry picked from commit 2e2adb3935bcbf9dc6e100c4ba9a8e1b4bf3a4e6)

Reviewed: https://review.openstack.org/259667
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=5cb8d33860fbadcaee7dbcf61b866c5ce18b5054
Submitter: Jenkins
Branch: stable/kilo

commit 5cb8d33860fbadcaee7dbcf61b866c5ce18b5054
Author: Mike Fedosin <email address hidden>
Date: Wed Dec 16 17:05:45 2015 +0300

    Fix model sync for SQLite

    This code fixes the situation when several
    models are mismatched for SQLite because of
    type inconsistencies between Integer and
    BigInteger in sqlalchemy.

     Conflicts:
     glance/db/sqlalchemy/models_artifacts.py

    Change-Id: I52b3a0158db8e3dc48f19509d1f9f80420ee40ea
    Closes-bug: #1526804
    Closes-bug: #1526675
    (cherry picked from commit 2e2adb3935bcbf9dc6e100c4ba9a8e1b4bf3a4e6)
    (cherry picked from commit 2b20285a1a48aa88e6d101e62d4bef2b9eda1c35)

Matt Riedemann (mriedem) wrote :

oslo.db 1.7.3 was released on 12/17:

https://pypi.python.org/pypi/oslo.db/1.7.3

This should fix stable/kilo.

Changed in oslo.db:
status: In Progress → Fix Released
Changed in nova:
milestone: none → mitaka-2

Commit 793f4b7c711236f50dbebd8739f08604bff0af14 which solved this
bug is merged. It didn't contain the "fixes-bug" keyword as it was
an open review which should have been merged before the bug occured.

As we use the "direct-release" model in Nova we don't use the
"fix release" status for merged bug fixes anymore. I'm setting
this manually to "fix-released" to be consistent.

[1] "[openstack-dev] [release][all] bugs will now close automatically
    when patches merge"; Doug Hellmann; 2015-12-07;
    http://lists.openstack.org/pipermail/openstack-dev/2015-December/081612.html

Changed in nova:
status: Fix Committed → Fix Released
Matt Riedemann (mriedem) wrote :

This was fixed for nova in stable/liberty with this squashed backport:

https://github.com/openstack/nova/commit/94d6b692d8d81e68ca7cf9e66e80adb03b8a88ef

tags: added: in-stable-kilo in-stable-liberty
removed: liberty-backport-potential

This issue was fixed in the openstack/glance 11.0.1 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers